Page MenuHomePhabricator

Performance tweaks for powerpc64 lnt buildbots
ClosedPublic

Authored by seurer on Oct 7 2015, 11:27 AM.

Details

Reviewers
gkistanova
Summary
  1. Remove multisample option. The lnt tests are not used to test performance on power so all this option does is slow things down.
  2. Use -j8 on BE powerpc64. This bot now has underused CPU available and the lnt test is the slowest one to run so increasing the parallel runs should help throughput.

Diff Detail

Event Timeline

seurer updated this revision to Diff 36772.Oct 7 2015, 11:27 AM
seurer retitled this revision from to Performance tweaks for powerpc64 lnt buildbots.
seurer updated this object.
seurer added a reviewer: gkistanova.
seurer added subscribers: llvm-commits, Restricted Project.

The multisample option is obvious, I'm not sure about the -j8. On all my LNT bots, all cores are busy all the time, so if you have 4 cores, I don't think -j8 will help you. If you have 8 cores, than you should change jobs=8, too.

seurer added a comment.Oct 8 2015, 7:52 AM

The multisample option is obvious, I'm not sure about the -j8. On all my LNT bots, all cores are busy all the time, so if you have 4 cores, I don't think -j8 will help you. If you have 8 cores, than you should change jobs=8, too.

The buildbots are now the only "users" on this system and it has 64 cores though other llvm buildbots also run there. I have been monitoring it for a while now and running with -j8 should be OK. In fact, that ought to just about keep everything busy when all the bots are actively running tests.

I did some manual runs of lnt on this system yesterday and using -j8 tremendously reduced the time to run.

I tested the --multisample change locally on the running bots and it took 1 hour off the run time of the big endian powerpc64 lnt test bot and 3 hours off the run time of the little endian one.

gkistanova accepted this revision.Oct 13 2015, 11:11 AM
gkistanova edited edge metadata.

LGTM.

Thanks

Galina

This revision is now accepted and ready to land.Oct 13 2015, 11:11 AM
seurer closed this revision.Oct 22 2015, 11:44 AM